#ifndef __MDP_H__
#define __MDP_H__

#include <stdint.h>

#define LOGIN_SIZE 9
#define MSG_SIZE	32
#define ANSWER_SIZE	128

/* Key for the message queue of the Daemon */
#define KEY		(key_t)1000

/* Types for the message */
#define TYPE_NORMAL	66
#define TYPE_WIN	666
#define TYPE_LOOSE	44
#define TYPE_HINT	33

typedef struct mdpSendMsg_s {
	long type;
	int key_ipc_response;
	uint8_t login[LOGIN_SIZE];
	uint8_t mdp[MSG_SIZE];
} mdpSendMsg_t;

typedef struct mdpAnswerMsg_s {
	long type;
	uint8_t answer[ANSWER_SIZE];
} mdpAnswerMsg_t;

#endif
